#!/usr/bin/ruby


require_relative '../lib/studio_game/game'
require_relative '../lib/studio_game/player'
require_relative '../lib/studio_game/clumsy_player'
require_relative '../lib/studio_game/berserk_player'

player1 = StudioGame::Player.new("moe")
player2 = StudioGame::Player.new("larry")
player3 = StudioGame::Player.new("curly")

knuckleheads = StudioGame::Game.new("Knuckleheads")
default_player_file = File.join(File.dirname(__FILE__), 'players.csv')

knuckleheads.load_players(ARGV.shift || default_player_file)

knuckleheads.add_player(player1)
knuckleheads.add_player(player2)
knuckleheads.add_player(player3)

clumsy_player1 = StudioGame::ClumsyPlayer.new("Klumz", 100)
knuckleheads.add_player(clumsy_player1)

berserk_player1 = StudioGame::BerserkPlayer.new("Berzie Sanders", 150)
knuckleheads.add_player(berserk_player1)

loop do 

	puts "\nHow many rounds would you like to play? ('quit' to exit)"
	answer = gets.chomp.downcase

	case answer
	when /^\d+$/
		knuckleheads.play(answer.to_i)		
	when 'quit', 'exit'
		knuckleheads.print_stats
		knuckleheads.save_high_scores
		break
	else
		puts "Please enter a number or type quit to exit"
	end

end






