require_relative 'treasure_trove'
require_relative 'playable'


module StudioGame

	class Player

		include Playable

		attr_accessor :health, :name

		def initialize(name, health = 150)
			@name = name.capitalize
			@health = health
			@found_treasures = Hash.new(0)
		end

		def to_s
			"#{@name} has #{@health}HP & #{points} Treasure pts for a total of #{score}GP"
		end

		def <=>(other)
			other.score <=> score
		end

		def points
			@found_treasures.values.reduce(0, :+)
		end

		def score 
			@health + points
		end

		def found_treasure(treasure)
			@found_treasures[treasure.name] += treasure.points
			puts "#{@name} then found a #{treasure.name} - that's worth #{treasure.points}pts!"
			puts "#{@name}'s treasure chest (#{@found_treasures}) is now worth #{@found_treasures.values.reduce(:+)}pts"
		end

		def each_found_treasure 
			@found_treasures.each do |name, points|
				yield Treasure.new(name, points)
			end
		end

		def self.from_csv(string)
			name, health = string.split(',')
			player = Player.new(name, Integer(health))
		end

	end

end



if __FILE__ == $0
  player = Player.new("moe")
  puts player.name
  puts player.health
  player.w00t
  puts player.health
  player.blam
  puts player.health
end